﻿@model EPPW.Membership.Dto.RoleDto
@{
    ViewBag.Title = "Edit";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section SideContent
{
    <div class="row-fluid">
        <div class="span12">
            <blockquote>
                <p>
                    Role</p>
            </blockquote>
        </div>
    </div>
}
<div class="row-fluid">
    <div class="span2">
    </div>
    <div class="span10">
        @using (Html.BeginForm(ViewContext.RouteData.GetRequiredString("action"), ViewContext.RouteData.GetRequiredString("controller"), FormMethod.Post, new { @class = "form-horizontal" }))
        {
           @* @Html.ValidationSummary(true)*@

            <fieldset>
                <legend>Role Edit</legend>
                @Html.HiddenFor(model => model.RoleId)
               <div class="control-group">
                    @Html.LabelFor(model => model.RoleName, new { @class = "control-label" })
                    <div class="controls">
                        <div class="input-prepend">
                            @Html.EditorFor(model => model.RoleName)
                            @Html.ValidationMessageFor(model => model.RoleName)
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Description, new { @class = "control-label" })
                    <div class="controls">
                        <div class="input-prepend">
                            @Html.EditorFor(model => model.Description)
                            @Html.ValidationMessageFor(model => model.Description)
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.IsUsed, new { @class = "control-label" })
                    <div class="controls">
                        <div class="switch switch-small">
                            @Html.EditorFor(model => model.IsUsed, "", new { placeholder = "IsUsed" })
                        </div>
                        @Html.ValidationMessageFor(model => model.IsUsed)
                    </div>
                </div>
                <p>
                    <input type="submit" value="Save" />
                </p>
            </fieldset>
        }
        <div>
            @Html.ActionLink("Back to List", "Index")
        </div>
    </div>
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
